Foxit PDF SDK

Instance Methods | List of all members
FSResultInformation Class Reference
Inheritance diagram for FSResultInformation:

## Instance Methods
(FSFixupData *) | - getFixupData:
| Get a fixup data. More...
(int) | - getFixupDataCount
| Get count of fixup data. More...
(FSHitData *) | - getHitData:
| Get a hit data. More...
(int) | - getHitDataCount
| Get count of hit data. More...
(id) | - init
| Constructor.
(id) | - initWithOther:
| Constructor, with another result information object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...

## Detailed Description

This class represents the set of result information for verification or conversion process. Fixup data or hit data can be retrieved from the result information.

## Method Documentation

## ◆ getFixupData:()

- (FSFixupData *) getFixupData: |  | (int) | index |

Get a fixup data.

Parameters

  [in] | index | Index of fixup data to be retrieved. Valid range: from 0 to (count-1). count is returned by function FSResultInformation::getFixupDataCount.

Returns
  Fixup data.

## ◆ getFixupDataCount()

- (int) getFixupDataCount |  |  |

Get count of fixup data.

Returns
  Count of fixup data.

## ◆ getHitData:()

- (FSHitData *) getHitData: |  | (int) | index |

Get a hit data.

Parameters

  [in] | index | Index of hit data to be retrieved. Valid range: from 0 to (count-1). count is returned by function FSResultInformation::getHitDataCount.

Returns
  Hit data.

## ◆ getHitDataCount()

- (int) getHitDataCount |  |  |

Get count of hit data.

Returns
  Count of hit data.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSResultInformation*) | other |

Constructor, with another result information object.

Parameters

  [in] | other | Another ResultInformation object.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.